## CGAL::Triangulation_cell_base_3<TriangulationTraits_3, TriangulationDSCellBase_3>

### Definition

The class Triangulation_cell_base_3 is a model of the concept TriangulationCellBase_3, the base cell of a 3D-triangulation.

This class can be used directly or can serve as a base to derive other classes with some additional attributes (a color for example) tuned for a specific application.

#include <CGAL/Triangulation_cell_base_3.h>

### Parameters

The first template argument is the geometric traits class TriangulationTraits_3. It is actually not used by this class.

The second template argument is a combinatorial cell base class from which Triangulation_cell_base_3 derives. It has the default value Triangulation_ds_cell_base_3<>.

### Is Model for the Concept

TriangulationCellBase_3

### Inherits From

TriangulationDSCellBase_3

### See Also

CGAL::Triangulation_ds_cell_base_3
CGAL::Triangulation_cell_base_with_info_3
CGAL::Triangulation_vertex_base_3